#!/bin/csh -f

set PRINTFLAGS=-s	# -s links the file to the print spool area
					# instead of copying it there.
set TMPDIR=/tmp		# This is a directory for temporary files
#set PRINTER=lp7	# Uncomment and change to your local PostScript
					# printer if $PRINTER is not already set
#set user=`whoami`	# Uncomment if $user is not already set

# Read the list of files to be printed
foreach psfile (`cat filelist`)

	# Check to see whether the current file (.Z) actually exists
	# If not, then skip to the next file in filelist
    if(! -e $psfile.Z) then
        continue;
    endif

	# Wait until the print queue has no more of our files in it
	while (`lpq -P$PRINTER | grep -c 'ch.*\.ps'` != 0)
		sleep 100
	end

	# Uncompress the current file and print it
	zcat $psfile.Z > $TMPDIR/$psfile
	lpr -P$PRINTER $PRINTFLAGS $TMPDIR/$psfile

	# Send a complementary message to your mailbox
	set MESSAGE="Sent to $PRINTER on `date`"
	echo $MESSAGE | mail -s "$psfile Printed" $user

	# Give the print queue time to update
	sleep 10
end

# Do some tidying up
/bin/rm -f $TMPDIR/ch*.ps
unset PRINTFLAGS MESSAGE TMPDIR
